Crear un secreto
curl --request POST \
--url https://api.devin.ai/v1/secrets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"key": "<string>",
"value": "<string>",
"sensitive": true,
"note": "<string>"
}
'import requests
url = "https://api.devin.ai/v1/secrets"
payload = {
"type": "<string>",
"key": "<string>",
"value": "<string>",
"sensitive": True,
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
key: '<string>',
value: '<string>',
sensitive: true,
note: '<string>'
})
};
fetch('https://api.devin.ai/v1/secrets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}Endpoints de secretos
Crear un secreto
Crea un nuevo secreto en tu organización
POST
/
v1
/
secrets
Crear un secreto
Crea un nuevo secreto cifrado que pueda usarse en sesiones de Devin. El secreto estará disponible para todas las sesiones que se creen después de agregarlo.
Cuerpo de la solicitud
Tipo de secreto. Debe ser uno de los siguientes:
cookie, key-value, totpNombre definido por el usuario para el secreto. Debe ser único dentro de la organización.
El valor del secreto que se va a almacenar. Se cifrará en reposo.
Indica si el secreto debe tratarse como sensible y redactarse en los registros.
Nota opcional que describe la finalidad del secreto.
Respuesta
El identificador único del secreto creado
⌘I

